#include "checklistviewwidget.h"

#include <QHBoxLayout>
#include <QLabel>
#include <QPushButton>
#include <check/check.h>
#include <iostream>

CheckListViewWidget::CheckListViewWidget(QWidget *parent, Check check) : QWidget(parent), check(check) {
    mw = (MainWindow*) parent;
    QHBoxLayout *layout = new QHBoxLayout;

    QLabel *date_label = new QLabel(QString::fromStdString(check.get_date()));
    QLabel *summ_label = new QLabel(QString::number(check.get_total()));

    QPushButton *deleteButton = new QPushButton(tr("Delete"));

    deleteButton->connect(deleteButton, &QPushButton::clicked, this, &CheckListViewWidget::delete_button_pressed);

    layout->addWidget(date_label);
    layout->addWidget(summ_label);
    layout->addSpacing(10);
    layout->addWidget(deleteButton);

    setLayout(layout);
}

Check &CheckListViewWidget::get_check(){
    return check;
}

void CheckListViewWidget::delete_button_pressed() {
    emit mw->deleteCheckFromList(this->check);
}
